=== debian/control ===
Source: sdl-net1.2
Section: libs
Priority: optional
Maintainer: Mike Furr <mfurr@debian.org>
Build-Depends: debhelper (>> 3.0.0), libsdl1.2-dev (>= 1.2.5), autotools-dev, quilt (>= 0.40)
Standards-Version: 3.9.2

Package: libsdl-net1.2-dev
Section: libdevel
Architecture: any
Depends: libsdl-net1.2 (= ${binary:Version}), libc6-dev, libsdl1.2-dev (>= 1.2.5), ${misc:Depends}
Conflicts: libsdl-net1.1-dev
Replaces: libsdl-net1.1-dev
Description:  Development files for SDL network library
 Header files and static libraries needed to compile programs
 using libsdl-net.

Package: libsdl-net1.2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network library for Simple DirectMedia Layer
 This is a small, low-level, cross-platform networking library, that
 can be used with the Simple DirectMedia Layer library
 (www.libsdl.org).
