=== debian/watch ===
version=3
http://www.libsdl.org/projects/SDL_net/release/SDL_net-([\d.]+)\.tar\.gz
