## sdl-net1.2 1.2.8

=== debian/changelog ===
sdl-net1.2 (1.2.8-6) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Drop Build-Depends on "dpkg-dev (>= 1.16.1~)", it is very old and
    satisfied everywhere
  * d/copyright: use https in Format and Source URLs
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/control:
    - Set "Rules-Requires-Root: no"
    - Use https in Homepage URL
    - Update Vcs-* URLs
  * Switch to debhelper compat level v11
  * d/rules:
    - Drop override of dh_auto_installchangelogs, nowadays it is
      unnecessary and in addition it was wrong (it should have been override
      of dh_installchangelogs)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 23 Oct 2018 17:44:37 +0200

sdl-net1.2 (1.2.8-5) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Use automatic dbgsym packages, drop -dbg
  * Update Vcs-* URLs
  * d/copyright: Fix missing "General" in LGPL license blurb

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 02 Aug 2017 00:22:32 +0200

sdl-net1.2 (1.2.8-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Regenerate with dh_autoreconf without using upstream's autogen.sh

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 20 Dec 2013 15:31:39 +0000

sdl-net1.2 (1.2.8-3) unstable; urgency=low

  * Update debian/copyright format now that 1.0 is approved (quells lintian
    unversioned-copyright-format-uri)
  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Add package -dbg with debugging information
  * Remove field "DM-Upload-Allowed: yes", obsolete
  * Change maintainer address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 09 May 2013 20:31:30 +0100

sdl-net1.2 (1.2.8-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed)
  * Build-Depends on debhelper>=9~, quells lintian warning
    "package-needs-versioned-debhelper-build-depends 9"
  * Build-Depends and Depends on SDL with added ~ to the version number, in
    order to allow to work with backported/local versions
  * Adding lintian overrides for the slightly different names "libsdl-net1.2"
    and "libSDL-net-1.2-0" -- the package names are not going to change by now
    for the 1.2 series

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 26 Apr 2012 14:15:56 +0100

sdl-net1.2 (1.2.8-1) unstable; urgency=low

  * New upstream release
    - debian/copyright: License switched to zlib/libpng
  * Modifying slightly the long description: removing the URL from there, it's
    in the Homepage field since a while ago
  * Disabled patches:
    - pkgconfig_hgd61d0055d08c.patch: Picked from upsteam, now released
  * Refresh patches:
    - arm.patch
    - endian.patch
    - UDP_Bind.patch

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 20 Jan 2012 23:06:48 +0000

sdl-net1.2 (1.2.7-5) unstable; urgency=low

  * Add also 'Multi-Arch: same' to -dev package, since the headers are all
    architecture-independent. Thanks to Steve Langasek. (Closes: #652873)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Wed, 21 Dec 2011 18:43:32 +0000

sdl-net1.2 (1.2.7-4) unstable; urgency=low

  * Remove previous uploader, inactive for years
  * Switch to debhelper compat level v9
  * Build for multiarch
  * Quell lintian warnings:
    - binary-control-field-duplicates-source (remove field from binary package
      libsdl-net1.2)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 19 Dec 2011 00:17:25 +0000

sdl-net1.2 (1.2.7-3) unstable; urgency=low

  * New maintainer
    - Make package as part of SDL team
    - Add myself to uploaders, and setting DM-Upload-Allowed: yes
  * Incorporated changes from Roman Vasiyarov <rvasiyarov@gmail.com>:
    - Added pkg-config files (Closes: #631085)
  * Bump Standards-Version to 3.9.2 (no changes needed)
  * Changed debhelper compat to level 8 (level 4 before):
    - Updated dependency on debhelper to (>= 8.0.0)
    - Simplify a lot debian/rules file by leveraging debhelper capabilities,
      only acting when deviating from auto behaviour
  * Added 'source/format', with '3.0 (quilt)'
    - Removed dependency on dpatch
    - Convert patches, documenting and refreshing them
  * Convert ${pkg}.dirs and ${pkg}.files into ${pkg}.install
  * Updating 'watch' file to version=3
  * Added Vcs-Git and Vcs-Browser in 'control' file
  * Modifications to dependencies and build options:
    - Depending on newer dpkg-dev
    - Depending on SDL >= 1.2.14 (instead of misc old versions)
    - Removed Conflict dependencies on libsdl-net1.1. It's very old and not
      present in any of the last Debian releases, long unsupported.
  * debian/copyright: updated and converted to DEP-5
  * Stop shipping .la files (Closes: #633328).  The command given in the bug
    report to remove dependency_libs is not working, and I don't think that any
    Debian package use .la anyway -- 0 rdepends for the -dev package.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sun, 04 Dec 2011 10:12:42 +0000
