=== debian/control ===
Source: sdl-net1.2
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11~),
               libsdl1.2-dev (>= 1.2.14~)
Homepage: https://www.libsdl.org/projects/SDL_net/
Vcs-Browser: https://salsa.debian.org/sdl-team/sdl-net1.2
Vcs-Git: https://salsa.debian.org/sdl-team/sdl-net1.2.git


Package: libsdl-net1.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Network library for Simple DirectMedia Layer 1.2, libraries
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the shared library.

Package: libsdl-net1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
	 libc6-dev,
	 libsdl-net1.2 (= ${binary:Version}),
	 libsdl1.2-dev (>= 1.2.14~)
Description: Network library for Simple DirectMedia Layer 1.2, development files
 This is a small, low-level, cross-platform networking library, that can be used
 with the Simple DirectMedia Layer library.
 .
 This package contains the development files.
