=== debian/watch ===
version=4
https://www.libsdl.org/projects/SDL_net/release/SDL_net-([\d\.]+)\.tar\..*
